[android]错误︰ 执行失败的任务 ': packageAllReleaseClassesForMultiDex'

发布时间: 2016/9/25 22:59:29
注意事项: 本文中文内容可能为机器翻译,如要查看英文原文请点击上面连接.

帮助!其我.gradle 文件︰

 buildscript {
        repositories {
            jcenter()
        }
        dependencies {
            classpath 'com.android.tools.build:gradle:1.3.0'
        }
    }
    allprojects {
        repositories {
            jcenter()
        }
    }
    apply plugin: 'com.android.application'
    android {
        compileSdkVersion 23
        buildToolsVersion "22.0.1"

        defaultConfig {
            applicationId "test.app.android.player"
            minSdkVersion 15
            targetSdkVersion 23
            multiDexEnabled true
        }

        sourceSets {
            main {
                manifest.srcFile 'AndroidManifest.xml'
                java.srcDirs = ['src']
                resources.srcDirs = ['src']
                aidl.srcDirs = ['src']
                renderscript.srcDirs = ['src']
                res.srcDirs = ['res']
                assets.srcDirs = ['assets']
            }
        }

        buildTypes {
            release {
                minifyEnabled false
                proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
            }
        }
    }

    repositories {
    }
    dependencies {
        compile files('libs/android-support-v4-22.2.1.jar')
        compile files('libs/android-support-v7-recyclerview-22.2.1.jar')
        compile files('libs/applovin-6.1.5.jar')
        compile files('libs/appodeal-1.14.6.jar')
        compile files('libs/chartboost-6.2.0.jar')
        compile files('libs/flurry-analytics-6.2.0.jar')
        compile files('libs/inmobi-5.2.0.jar')
        compile files('libs/my-target-4.2.0.jar')
        compile files('libs/unity-ads-1.4.7.jar')
        compile files('libs/yandex-metrica-2.30.jar')
        compile 'com.google.android.gms:play-services-ads:8.4.0'
        compile 'com.android.support:multidex:1.0.0'
    }
    configurations {
        all*.exclude group: 'com.android.support', module: 'support-v4'
    }

这得到了在 logcat 看到此错误︰ 错误︰ 执行失败的任务 ':packageAllReleaseClassesForMultiDex'

提示错误信息︰ 重复的条目︰ android/support/v4/view/PagerAdapter.class

我找不到重复

解决方法 1:

您必须删除

 compile files('libs/android-support-v4-22.2.1.jar')

'com.google.android.gms:play-services-ads:8.4.0'与具有依赖项 com.android.support:support-v4:23.0.0 。以这种方式,您将添加两次同一个类的不同版本。

官方微信
官方QQ群
31647020